package com.yihu.jw.entity.auth;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * Created by Trick on 2020/3/10.
 */
@Entity
@Table(name = "oauth_rsa_key")
public class OauthRsaKeyDO extends UuidIdentityEntity{

    private String code;//第三方用户唯一标识',
    private String appId;//客户端唯一标识',
    private String publicKey;//公钥',
    private String privateKey;//私钥',
    private Date createTime;//创建时间',

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getPublicKey() {
        return publicKey;
    }

    public void setPublicKey(String publicKey) {
        this.publicKey = publicKey;
    }

    public String getPrivateKey() {
        return privateKey;
    }

    public void setPrivateKey(String privateKey) {
        this.privateKey = privateKey;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
